const int relay_pin = 6;  // nastavení pinu relé
const int button3_pin = 7;  //nastavení pinu tlačítka 3

int switch3_state=0; //nastavení počátečního stavu proměnné tlačítka 3


void setup() 
{
  pinMode(button3_pin, INPUT);  // nastavení pinu tlačítka jako vstup
  pinMode(relay_pin, OUTPUT); //nastavení pinu relé jako výstup
}

    
void loop(){

  switch3_state=digitalRead(button3_pin);
  
  if (switch3_state==LOW){  //když je tlačítko uvolněné
//       digitalWrite(13, LOW); //vypne integrovanou LED
       digitalWrite(relay_pin, HIGH);   //vypne relé      
      
      }
  else {  //když je tlačítko zmáčknuté
//        digitalWrite(13, HIGH); //zapne integrovanou LED
        digitalWrite(relay_pin, LOW); // zapne relé
       }
delay(250);
 
  
  
  
  
  
//  
//  switch3_state=digitalRead(button3_pin);
//  
//  if (switch3_state==LOW){
//       digitalWrite(relay_pin, HIGH);   //vypne relé
//     
//      }
//  else {
//       digitalWrite(relay_pin, LOW); // zapne relé
//       }
//delay(250);



  
    // Let's turn on the relay...
//  digitalWrite(relay_pin, LOW); // zapne relé
//  delay(3000);
  
  // Let's turn off the relay...
//  digitalWrite(relay_pin, HIGH);  //vypne relé
//  delay(3000);


}
